# $Revision: 1.8 $, $Date: 2002/09/11 09:09:47 $
Summary:	Fast movie recorder and player for Linux
Summary(pl):	Szybka nagrywarka i odtwarzacz filmw pod Linuksa
Name:		NuppelVideo
Version:	0.52a
Release:	3
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://mars.tuwien.ac.at/~roman/nuppelvideo/%{name}-%{version}.tar.gz
Patch0:		%{name}-make.patch
URL:		http://mars.tuwien.ac.at/~roman/nuppelvideo/
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveArch:	%{ix86}

%define		_prefix		/usr/X11R6

%description
NuppelVideo is a simple low consuming and fast capture program for
bttv-cards (BT8x8) it is based on the RTjpeg2.0 test3* programs from
Justin Schoemann, who wrote the very fast and fine RTjpeg2.0 codec
(improved by Joerg Walter and Wim Taymans).

%description -l pl
NuppelVideo jest prostym, mao zasoboernym i szybkim programem do
zrzucania obrazu z kart bttv (BT8x8) bazujcym na programach RTjpeg2.0
test3* Justina Schoemanna, ktry napisa bardzo szybki i dobry codec
RTjpeg2.0 (poprawiony przez Joerga Waltera i Wima Taymansa).

%prep
%setup  -q
%patch0 -p1

%build
%{__make} \
	CC=%{__cc} \
%ifarch athlon
	COPTS="%{rpmcflags} -DMMX"
%else
	COPTS="%{rpmcflags}"
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_bindir}

gzip -9nf README* LICENSE*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: NuppelVideo.spec,v $
Revision 1.8  2002/09/11 09:09:47  qboosh
- disabled MMX on i686 - no runtime detection; release 3

Revision 1.7  2002/04/25 09:22:15  marcus
- %%ix86 only (asm inlines)

Revision 1.6  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/26 13:14:16  filon
- athlon updates
- release 2

Revision 1.4  2002/01/18 02:12:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/09/03 10:49:35  qboosh
- pl translations

Revision 1.2  2001/08/30 12:30:14  kloczek
- added BuildRequires rules,
- fixes for correct using $RPM_OPT_FLAGS,
- -DMMX use only for i686 target,
- s/GNU/GPL/ in License.
NOTE: probably it will be good add desktop file.

Revision 1.1  2001/08/30 10:41:11  pascalek
- initial revision
